// priority: 0

settings.logAddedRecipes = true
settings.logRemovedRecipes = true
settings.logSkippedRecipes = false
settings.logErroringRecipes = true

console.info('Hello, World! (You will see this line every time server resources reload)')

onEvent('recipes', event => {
   event.custom(
{
  "type": "thermal:smelter",
  "ingredients": [
    {
      "item": "minecraft:diamond_block",
      "count": 4
    },
	{
      "item": "exnihilosequentia:mesh_iron",
      "count": 4
    },
	{
      "item": "compressium:cobblestone_1",
      "count": 16
    }
  ],
  "result": [
    {
      "item": "exnihilosequentia:mesh_diamond",
      "count": 1
    }
  ],
  "energy": 12000
})
  event.custom(
{
  "type": "thermal:smelter",
  "ingredients": [
    {
      "item": "minecraft:emerald_block",
      "count": 4
    },
	{
      "item": "exnihilosequentia:mesh_diamond",
      "count": 4
    },
	{
      "item": "compactmachines:wall",
      "count": 16
    }
  ],
  "result": [
    {
      "item": "exnihilosequentia:mesh_emerald",
      "count": 1
    }
  ],
  "energy": 12000
})
  event.custom(
    {
  "type": "tconstruct:casting_basin",
  "cast": {
    "item": "exnihilosequentia:mesh_emerald"
  },
  "cast_consumed": true,
  "fluid": {
    "tag": "forge:molten_netherite",
    "amount": 2592
  },
  "result": "exnihilosequentia:mesh_netherite",
  "cooling_time": 114
}
  )
  event.custom({"type": "exnihilosequentia:heat","block": 'mekanism:superheating_element',"amount": 25})
  event.custom({"type": "exnihilosequentia:heat","block": 'mekanism:block_uranium',"amount": 9})
  event.custom({"type": "exnihilosequentia:sieve","rolls": [{"chance": 0.1,"mesh": "netherite"}],"input": {"item": "exnihilosequentia:crushed_end_stone"},"result": {"item": ('silentgear:azure_silver_chunks') }})
  event.custom({"type": "exnihilosequentia:sieve","rolls": [{"chance": 0.1,"mesh": "netherite"}],"input": {"item": "exnihilosequentia:crushed_netherrack"},"result": {"item": ('silentgear:crimson_iron_chunks') }})
  event.custom({"type": "exnihilosequentia:sieve","rolls": [{"chance": 0.08,"mesh": "netherite"}],"input": {"item": "minecraft:gravel"},"result": {"item": ('powah:uraninite_raw_poor') }})
  event.custom({"type": "exnihilosequentia:crucible","input": {"item": "minecraft:cobblestone"},"amount": 100,"fluidResult": {"fluid": "minecraft:lava"},"crucibleType": "fired"})
})
onEvent('recipes', event => {
	event.remove({output: 'exnihilosequentia:mesh_diamond'})
	event.remove({output: 'exnihilosequentia:mesh_emerald'})
	event.remove({output: 'exnihilosequentia:mesh_netherite'})
})
onEvent('item.tags', event => {
	// Get the #forge:cobblestone tag collection and add Diamond Ore to it
	// event.get('forge:cobblestone').add('minecraft:diamond_ore')

	// Get the #forge:cobblestone tag collection and remove Mossy Cobblestone from it
	// event.get('forge:cobblestone').remove('minecraft:mossy_cobblestone')
})
